:gn
    set option=
    echo - 1.Lenovo联想系列
    echo - 2.OPPO/一加/realme系列
    echo - 3.Google Pixel系列
    echo.
    echo.
    set /p option=%t2%
    busybox egrep "^:meum%option%$" "%~f0" && goto meum%option% || ( cls & echo. & %error% 输入错误请重新输入 & goto gn )


:meum1
    echo - 已选择一键解锁Lenovo联想系列BL锁
    echo - 如果提示OKAY代表解锁成功
    fastboot flash unlock files\unlock_bootloader.img
    fastboot oem unlock-go
    %fcq%
    abort


:meum2
    echo - 已选择一键解锁OPPO/一加/realme系列系列BL锁
    echo - 如果提示OKAY代表解锁成功
    echo - 接着按手机音量键选中“Unlock The Bootloader”选项，按电源键确认后手机将自动解锁BL并清除手机中所有用户数据。
    fastboot flashing unlock
    %fcq%
    abort


:meum3
    echo - 已选择一键解锁google_pixel系列bl锁
    echo - 如果提示okay代表解锁成功
    fastboot flashing unlock
    fastboot flashing unlock_critical
    %fcq%
    abort
